[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'versiontypes' (#fcl-res)

# TVersionFixedInfo.FileSubType

Additional type information

## Declaration

Source position: versiontypes.pp line 68

`public property TVersionFixedInfo.FileSubType : LongWord read fFileSubType write fFileSubType;`

## Description

This property is meaningful only for some values of FileSubType. For all other types, this property must be zero.

If FileSubType is VFT_DRV:

- VFT2_UNKNOWN
- VFT2_DRV_COMM
- VFT2_DRV_PRINTER
- VFT2_DRV_KEYBOARD
- VFT2_DRV_LANGUAGE
- VFT2_DRV_DISPLAY
- VFT2_DRV_MOUSE
- VFT2_DRV_NETWORK
- VFT2_DRV_SYSTEM
- VFT2_DRV_INSTALLABLE
- VFT2_DRV_SOUND

If FileSubType is VFT_FONT:

- VFT2_UNKNOWN
- VFT2_FONT_RASTER
- VFT2_FONT_VECTOR
- VFT2_FONT_TRUETYPE

## See also

TVersionFixedInfo.FileType |  | The type of the file